local carSounds = ui.MediaPlayer()

carSounds:setSource('/audio/blinker.wav'):setAutoPlay(false)  --file location inside extension folder

function script.update(dt)
    if car.hazardLights or car.turningLeftLights or car.turningRightLights then --self explanatory
        carSounds:play()
    else
        carSounds:pause()
    end
end